# Uses of Interface
org.eclipse.birt.report.engine.api.script.element.IHighlightRule

Packages that use IHighlightRule
Package
Description
org.eclipse.birt.report.engine.api.script.element
Report element representations in the BIRT scripting environment.

## Uses of IHighlightRule in org.eclipse.birt.report.engine.api.script.element

Methods in org.eclipse.birt.report.engine.api.script.element that return IHighlightRule
Modifier and Type
Method
Description
`IHighlightRule`
IReportDesign.`createHighLightRule()`
Create `IHighLightRule`
`IHighlightRule`
IScriptAPIFactory.`createHighLightRule()`
Deprecated.
Create `IHighLightRule`
`IHighlightRule`
ScriptAPIFactory.`createHighLightRule()`
Deprecated.
`static IHighlightRule`
StructureScriptAPIFactory.`createHighLightRule()`
Deprecated.
Create `IHighLightRule`
`IHighlightRule[]`
IReportItem.`getHighlightRules()`
Gets all high light rules.
`IHighlightRule[]`
IRow.`getHighlightRules()`
Gets all high light rules.
Methods in org.eclipse.birt.report.engine.api.script.element with parameters of type IHighlightRule
Modifier and Type
Method
Description
`void`
IReportItem.`addHighlightRule(IHighlightRule rule)`
Adds high light rule.
`void`
IRow.`addHighlightRule(IHighlightRule rule)`
Adds high light rule.
`void`
IReportItem.`removeHighlightRule(IHighlightRule rule)`
Removes high light rule.
`void`
IRow.`removeHighlightRule(IHighlightRule rule)`
Removes high light rule.